/*
    Напишите класс User, который будет использоваться для создание объекта, описывающего пользователя панели администрирования сайта.
    У объекта должны быть такие поля:
    - role (super admin, admin, main manager, content manager);
    - login;
    - email;
    - password;

    сеттеры и геттеры:
    - role (можно установить роль только из списка: super admin, admin, main manager, content manager);
    - login (не меньше трех букв);

    а также метод:
    - isValidEmail - проверят, является ли переданная строка email'ом (в ней должен быть символ @, минимум 1 точка и не должно быть пробелов);

    Дополнительное задание: добавьте метод getPasswordStrength, который проверяет силу пароля. Метод получает строку (пароль) и возвращает один из трех вариантов:
    - weak - меньше 6 символов, не содержит букв или цифр;
    - medium - больше 6 символов, содержит цифры и буквы, но не содержит знаков: -_^$%#@*&?
    - strong - больше 6 символов, содержит буквы, цифры и спецсимволы: -_^$%#@*&? - "_\^\$%#@\*&"

    _\^\$%#@\*&

*/
